const GroupRepository = require('../database/GroupRepository');

async function AddGroupToRecord(req, res) {
    try {
        if(!req.session.isLogged) {
            console.error(`ERROR: Nowa grupa nie dodana. Użytkownik nie zalogowany`);
            return res.status(401).json({
                mess: 'Użytkownik nie zalogowany',
                complete: false,
                data: null
            });
        }

        const group = req.body.name;

        if(!group) {
            console.error(`ERROR: AddGroupToRecord: Zapyanie jest puste!`);
            return res.status(400).json({
                mess: 'Brak danych',
                complete: false,
                data: null
            });
        }

        const userId = req.session.user_id;

        if (!await GroupRepository.Add(group, userId)) {
            console.error(`ERROR: Niepowodzenie dodania rekordu!`);
            return res.status(400).json({
                mess: 'Błąd wewnętrzny',
                complete: false,
                data: null
            });
        }

        const data = await GroupRepository.Get(userId);
        console.log(data);

        res.status(200).json({
            mess: 'Record dodany',    
            complete: true,
            data: data
        });
    }
    catch(e) {
        console.error(`ERROR: Function AddGroupToRecord: ${e}`);
        res.status(500).json({
            mess: 'Błąd wewnętrzny',
            complete: false,
            data: null
        });
    }
}

module.exports = AddGroupToRecord;